Subject: SURVEY: Amiga picture viewers, version 2
From: [email-masked] (Osma Ahvenlampi)
Date: 15 Mar 1994 15:41:37 GMT
Newsgroups: comp.sys.amiga.reviews

PRODUCT NAMES, AUTHOR INFORMATION, AVAILABILITY

	AIVE 1.0		by Laurent Vivier
	ALook 3.1		by Trevor Andrews
	Bview 1.06		by Joeri Alberty
	FastJPEG 1.10		by Christoph Feck
	FastView 2.01		by "KRUEMELMONSTER2000"
	GIF.datatype 39.3	by "Steve the G"
	GIF_view 4.4		by Lorenzo Musto
	HAMGIF 2.5		by Steven Bennett
	ILBM.datatype 40.2	by Commodore-Amiga, Inc.
	JPEG.datatype 39.1	by Steve Goddard
	Mostra 2.0		by Sebastiano Vigna
	MUGiff 1.4		by Mark Rose
	PPShow 4.0		by Nico Francois
	ShowGIF 1.01		by Christophe Passuello *
	ViewJpeg 1.0		beta by <unknown>
	Viewtek 1.05		by Thomas Krehbiel
	VirtGIF 1.0		by Patrick Maloney
	VJPEG 0.01		by David Blevins
	ZGif 0.4		by Michael Zucchi
	ZGIF.datatype 39.7	by Michael Zucchi

	* ShowGIF is the CLI counterpart of FastGIF, a better known, GUI
driven GIF viewer.  ShowGIF is is distributed with FastGIF.

	All of the software in this review, with the exception of
ILBM.datatype (a part of the AmigaDOS from version 3.0 upwards) is available
on Aminet, the world wide network of ftp sites for Amiga software.  For
further information on Aminet, ftp to ftp.wustl.edu, directory /pub/aminet,
and read the README file available there.

BRIEF DESCRIPTION

	After getting a considerable amount of response from the quick and
dirty picture viewer test I made a while ago, I decided a more thorough test
would be in order.  For this, a friend of mine was nice enough to loan me an
A1200 so that I could include AGA specific software also.  Thanks, Pekka!

	[MODERATOR'S NOTE:  The original test was posted in c.s.a.reviews
	on 23 February 1994, and is found in our ftp archives in the
	file software/graphics/PictureViewerSurvey.  - Dan]

	Only public domain, shareware, freeware and similar software is
included, simply because I do not have access to enough commercial software,
nor the time to learn to use it well enough to get a fair view of the
capabilities.  I felt that to avoid biasing, it would be better to restrict
the test to freely available software.

SPECIAL HARDWARE AND SOFTWARE REQUIREMENTS

	For more detailed information about the specific requirements of any
of the programs, see their documentation.

	HARDWARE

		Some of the programs require the AGA chipset found on Amiga
		models A1200, A4000 and later.  A few of the programs
		require a 68020 CPU or better.

	SOFTWARE

		Some of the programs require AmigaDOS version 2.0 or later,
		or, most notably in the case of the Datatypes, even AmigaDOS
		version 3.0 or later.

MACHINE USED FOR TESTING

	Amiga A1200
	Microbotics 1230XA, 50MHz 68030 board
	2MB Chip RAM, 4MB Fast RAM
	130MB hard drive
	Kickstart version 39.106, Workbench version 40.23

BACKGROUND

	The hardest part was deciding what to test.  For reasons described
above, I left all commercial software out of the test.	None would have
actually fit into the description of a "picture viewer" anyway, being
complicated and feature-laden image conversion and manipulation software.

	Next, I decided, partly for the same reasons, to leave out all
programs specifically made for image conversion and manipulation.  So you
won't find ADPro, ImageFX, ImageMaster, HamLabPlus, NETPBM, or any other
similar programs here.  Sorry.

	What was left after this was the relatively simple programs meant
for displaying pictures in various formats.  Note that most, if not all, of
these programs sacrifice quality for speed, unlike the dedicated converter
programs.

	This time, AGA modes were used where applicable, and if the program
supported them.  No extra ECS-specific tests were made.  If a program had
two versions, an AGA specific and an ECS specific, the AGA specific one was
used.

	Most programs in the review have a command line interface only, with
perhaps the capability to read the options from icon tooltypes also.  All
tests were made using the command line interface, except in the case of
ViewJpeg, which had a GUI interface only (and a horrible file requester,
something that was quite common in the AmigaDOS 1.3 days).

	Originally, I intended to test AIVE 1.0 also.  During the testing,
it produced lots of alerts and even crashes, and thus I had to leave it
out.  From what I did find out, it was exceptionally slow and supported a
subset of IFF ILBM only, so I don't think dropping it from the review changed
the results too much.

TABLE OF FEATURES

        Program   IFF IFF24 PCHG GIF JPEG Mode DT Multi Slide FReq AGA
	==============================================================
	ALook      O    -    O    -   -    -   -    O     O    O    -
	Bview      O    -    -    -   -    -   -    -     -    O    O
	FastJPEG   -    -    -    -   O    O   -    O     O    O    *
	FastView   O    -    -    -   -    -   -    O     -    O    -
	GIF.dt     -    -    -    O   -    NA  NA   NA    NA   NA   O
	GIF_view   -    -    -    O   -    -   -    -     -    -    -
	HAMGIF     -    -    -    O   -    -   -    O     O    -    -
	ILBM.dt    O    -    -    -   -    NA  NA   NA    NA   NA   O
	JPEG.dt    -    -    -    -   O    NA  NA   NA    NA   NA   X
	Mostra     O    -    O    -   -    O   -    O     O    O    O
	MUGiff     O    -    -    -   -    -   -    O     -    O    -
	PPShow     O    O    O    O   O    O   O    O     O    O    O
	ShowGIF    -    -    -    O   -    -   -    O     O    -    O
	ViewJpeg   -    -    -    -   O    -   -    -     -    O    -
	Viewtek    O    O    O    O   O    O   O    O     O    O    O
	VirtGIF    -    -    -    O   -    -   -    -     -    -    -
	VJPEG      -    -    -    -   O    -   -    -     -    -    -
	ZGif       -    -    -    O   -    -   -    O     -    -    *
	ZGIF.dt    -    -    -    O   -    NA  NA   NA    NA   NA   X

	Key:
		O	The program has this feature.
		-	The program does NOT have this feature.
		*	A separate version of the program has this feature.
		X	AGA is required to run this program.
		NA	Not applicable.  In particular, datatypes do not
			have a user interface of their own, but require a
			viewer that supports datatypes (such as MultiView)
			as a front-end.

	Explanation of the columns:

	- IFF, IFF24, GIF and JPEG are picture formats. PCHG is an
	  extension of the IFF ILBM format with a multipalette chunk mostly
	  usable for HAM pictures.
	- DT means the program can use Datatypes to display pictures.
	- Mode means support for manual screenmode selection from the
	  Display Database.
	- Multi means capability of showing multiple files on one
	  invocation.
	- Slide means basic slideshow support, such as looping through
	  the pictures, showing a picture for a specified time, and
	  hidden decompression while showing another picture.
	- FReq means the pictures can be selected from a file requester.
	- AGA means the program supports AGA modes.

PICTURES USED IN TESTING

	Two pictures were used in the testing.	For a color picture, I
decided to use a 597x796x24 scan of a Boris Vallejo painting, available on
ftp.funet.fi as /pub/pics/art/BorisVallejo/bv9.jpg.  This picture was
downscaled and converted with the NETPBM image conversion package to all the
formats used in the test, with the exception of the HAM6 version, which was
converted with HamLabPlus as a PCHG HAM (using 12 color registers in the
slicing).  For black and white, I used a 600x787x1 clip art collage GIF which
I also converted to IFF.

	Pic#	Description
	1		597x796x24 color JPEG
	2		597x796x8 grayscale JPEG
	3		298x796x6 lores/laced sliced (12) PCHG HAM6
	4		597x796x8 hires/laced HAM8
	5		299x398x4 16 color IFF
	6		299x398x8 256 color IFF
	7		600x768x1 B/W IFF
	8		299x398x4 16 color GIF
	9		299x398x8 256 color GIF
	10		600x768x1 B/W GIF
	11		299x398x24 IFF24

SPEED OF THE PROGRAMS

	The timing of the programs was done using the Spy System 3 system
performance monitor package, and the CPUTime command.  This program runs the
program given to it as a command line argument, and after the program has
finished, reports the real time and CPU time taken by the program.  In the
following table I have listed the real time.  While on first thought, CPU
time might have been more truthful, it would have not included the time used
to access the disk.  Some of the programs use asynchronous file I/O,
decompressing at the same time as reading from the disk, while others first
read a bit, then decompress, read a bit more, etc.  Given the same
decompression routine, a program using asynchronous I/O can be significantly
faster, although the CPU time taken would be the same.  This is why real
time is listed.	 See the end of this article for the listing of both real and
CPU time.

	The times are in seconds, and include all initializations and
cleaning up the program made before and after displaying the picture.  If
the program wasn't capable of exiting immediately after displaying the
picture, the number includes the time it took me to press the mouse button,
ESCAPE, ENTER, or whatever the program required to exit.  Datatypes were
timed using Viewtek with the DT option.

	It should be kept in mind that the times below are the results of
one iteration only.  That is, I tested the programs once.  There might be
random errors that repeated testing could have eliminated.  This is
especially true with the viewers that could not exit automatically, where my
own reaction time might account for most of the time.  The CPU time could be
nearer to the truth in these cases.

	Program    1	2    3	  4    5    6	 7    8    9	10  11
	ALook	   -	-   3.2   -   1.8   -	1.6   -    -	-    -
	Bview	   -	-    -	 7.4  2.7   -	2.6   -    -	-    -
	FastJPEG  14.3 6.9   -	  -    -    -	 -    -    -	-    -
	FastView   -	-    -	  -   7.9   -	3.6   -    -	-    -
	GIF.dt	   -	-    -	  -    -    -	 -   3.1  4.7  4.5   -
	GIF_view   -	-    -	  -    -    -	 -   14.3 17.9 19.1  -
	HAMGIF	   -	-    -	  -    -    -	 -   7.4  6.9  4.7   -
	ILBM.dt    -	-    -	 6.1  1.9  2.7	1.9   -    -	-    -
	Mostra	   -	-   2.7  5.8  1.4  2.2	1.2   -    -	-    -
	MUGiff	   -	-    -	  -   5.0   -	2.4   -    -	-    -
	PPShow	  18.9 9.5  2.9  5.3  1.6  2.3	1.8  2.4  3.3  3.3  4.6
	ShowGIF    -	-    -	  -    -    -	 -   5.9  4.1  3.3   -
	ViewJpeg  57.9 24.1  -	  -    -    -	 -    -    -	-    -
	Viewtek   40.4 10.6 3.6  7.6  1.9  3.0	1.9  3.3  4.6  5.6  19.8
	VirtGIF    -	-    -	  -    -    -	 -   21.6 25.1 63.6  -
	VJPEG	 123.6	*    -	  -    -    -	 -    -    -	-    -
	ZGIF	   -	-    -	  -    -    -	 -   4.7  2.3  X     -
	ZGIF.dt    -	-    -	  -    -    -	 -   2.2  2.7  2.6   -

	*	VJPEG crashed on a grayscale JPEG.
	X	For some unknown reason, ZGif showed only a blank screen on
		the large black and white GIF.

	JPEG.datatype crashed for some unknown reason on every try.  Others
have reported it working, but I was not able to get it work.

NOTES ON QUALITY

	My experience has been that on an ECS Amiga, FastJPEG produces by
far the best result from a JPEG picture.  In HAM8 mode on an AGA machine,
the dithering is not that critical, and thus the difference in quality
between FastJPEG and other JPEG viewers is less.  FastJPEG also has a
"dirty" option, which turns off dithering and speed up the displaying
considerably.  With this option, the resulting picture is very close to
Viewtek quality.

	PPShow has a problem when rendering 24-bit to HAM.  While this is
only a marginal problem on HAM8, it shows up extremely clearly on ECS
machines and HAM6 mode.	The result is hard to describe, but diagonal and
vertical lines of high contrast are messy.

	Some of the viewers convert 256 color GIFs to HAM6.  This is a
two-sided matter.  While this is the only practical way of displaying the
pictures in color on ECS machines, HAM6 resolution is not that good.

MISCELLANEOUS NOTES

	I've collected here some notes that I felt might be of some use to
the readers.

	Viewtek can show 256 color IFFs even on ECS Amigas.  It will render
them in HAM6 mode, and the result is identical to a 256 color GIF.  In
addition, it shows HAM8 pictures on ECS machines, but seems to simply strip
two bitplanes out, and not do any rendering to HAM6.  The result is quite
weird looking.

	Gif_view, HAMGIF, VirtGIF and Viewtek show 256 color GIFs in HAM6 on
ECS machines.  Other GIF-capable viewers show them in 16 grayscales.

	Viewtek and PPShow can also play ANIMs.

MICRO REVIEW

	In my opinion, the overall quality of a display viewer can be judged
from three roughly equal parts:  flexibility, speed, and display quality.
What follows is a quick assessment of the viewers in this test in the
comp.sys.amiga.reviews micro-review format.

	ALook		| Trevor Andrews	| *+
	Bview		| Joeri Alberty 	| *+
	FastJPEG	| Christoph Feck	| ****
	FastView	| "KRUEMELMONSTER 2000" | *
	GIF.datatype	| "Steve the G"         | **+
	GIF_view	| Lorenzo Musto 	| *
	HAMGIF		| Steven Bennett	| *+
	ILBM.datatype	| Commodore-Amiga, Inc. | ***
	Mostra		| Sebastiano Vigna	| ***
	MUGiff		| Mark Rose		| *
	PPShow		| Nico Francois 	| ****+
	ShowGIF 	| Christophe Passuello	| **+
	ViewJpeg	| <unknown>		| *
	Viewtek 	| Thomas Krehbiel	| ***+
	VirtGIF 	| Patrick Maloney	| *
	VJPEG		| David Blevins 	| *
	ZGif		| Michael Zucchi	| **+
	ZGIF.datatype	| Michael Zucchi	| ****

CONCLUSIONS

	PPShow was great all around. You will probably want a fast viewer
that can display a lot of things with good to reasonable quality, and PPShow
fits the description. The JPEG and IFF24 display quality leave room for
improvement, but both are fast. In case you're willing to use several
viewers, I would recommend using FastJPEG for JPEGs. It is a bit faster than
PPShow, and a lot better quality. If you happen to be a speed freak, or use
a slow machine, you might want to consider using the ZGIF.datatype with
PPShow for GIF pictures.

	Viewtek used to be the best all-around viewer available, and it
still is quite nice.  It has a lot of options, but suffers from number of
bugs and chronic slowness.  Personally, I'm surprised it is thought to be a
fast viewer.

SPECIAL NEWSFLASH FOR AMIGADOS 3.x USERS

	At the last moment, I decided to try Tron's PCX datatype (TPD.lha on
Aminet) on a 256-color conversion of the JPEG used in the above tests.  It
is significantly faster than the other PCX Datatype (PCX.lha on Aminet) I've
seen.  The times to display the picture were 8.6 seconds (TPD) and 12.4
seconds (PCX).

LOG OF THE TESTS

	The results of each test are given, with the picture number
(see the PICTURES USED IN TESTING section, above) preceding each result.

	ALook
	3: Real 00:00:03.202, PCPU 00:00:01.163, TCPU 00:00:01.163
	5: Real 00:00:01.755, PCPU 00:00:00.824, TCPU 00:00:00.824
	7: Real 00:00:01.594, PCPU 00:00:00.733, TCPU 00:00:00.733

	Bview
	4: Real 00:00:07.367, PCPU 00:00:02.377, TCPU 00:00:02.377
	5: Real 00:00:02.735, PCPU 00:00:00.784, TCPU 00:00:00.784
	7: Real 00:00:02.623, PCPU 00:00:00.722, TCPU 00:00:00.722

	FastView
	5: Real 00:00:07.910, PCPU 00:00:05.321, TCPU 00:00:05.321
	7: Real 00:00:03.561, PCPU 00:00:02.449, TCPU 00:00:02.449

	FastJPEG
	1: Real 00:00:14.273, PCPU 00:00:12.610, TCPU 00:00:12.610
	2: Real 00:00:06.888, PCPU 00:00:05.765, TCPU 00:00:05.765

	Gif_view
	8: Real 00:00:14.342, PCPU 00:00:03.799, TCPU 00:00:03.799
	9: Real 00:00:17.904, PCPU 00:00:07.829, TCPU 00:00:07.829
	10: Real 00:00:19.124, PCPU 00:00:10.081, TCPU 00:00:10.081

	HAMGIF
	8: Real 00:00:07.408, PCPU 00:00:06.327, TCPU 00:00:06.327
	9: Real 00:00:06.868, PCPU 00:00:05.783, TCPU 00:00:05.783
	10: Real 00:00:04.742, PCPU 00:00:03.918, TCPU 00:00:03.918

	Mostra
	3: Real 00:00:02.672, PCPU 00:00:00.738, TCPU 00:00:00.738
	4: Real 00:00:05.813, PCPU 00:00:01.317, TCPU 00:00:01.317
	5: Real 00:00:01.424, PCPU 00:00:00.378, TCPU 00:00:00.378
	6: Real 00:00:02.238, PCPU 00:00:00.565, TCPU 00:00:00.565
	7: Real 00:00:01.163, PCPU 00:00:00.294, TCPU 00:00:00.294

	MUGiff
	5: Real 00:00:05.040, PCPU 00:00:00.466, TCPU 00:00:00.466
	7: Real 00:00:02.426, PCPU 00:00:00.414, TCPU 00:00:00.414

	PPShow
	1: Real 00:00:18.753, PCPU 00:00:16.895, TCPU 00:00:16.895
	2: Real 00:00:09.490, PCPU 00:00:07.960, TCPU 00:00:07.960
	3: Real 00:00:02.906, PCPU 00:00:00.885, TCPU 00:00:00.885
	4: Real 00:00:05.348, PCPU 00:00:01.399, TCPU 00:00:01.399
	5: Real 00:00:01.600, PCPU 00:00:00.519, TCPU 00:00:00.519
	6: Real 00:00:02.298, PCPU 00:00:00.719, TCPU 00:00:00.719
	7: Real 00:00:01.803, PCPU 00:00:00.503, TCPU 00:00:00.503
	8: Real 00:00:02.364, PCPU 00:00:01.091, TCPU 00:00:01.091
	9: Real 00:00:03.251, PCPU 00:00:01.774, TCPU 00:00:01.774
	10: Real 00:00:03.265, PCPU 00:00:01.985, TCPU 00:00:01.985
	11: Real 00:00:04.451, PCPU 00:00:01.873, TCPU 00:00:01.873

	ShowGIF
	8: Real 00:00:05.875, PCPU 00:00:00.631, TCPU 00:00:00.631
	9: Real 00:00:04.128, PCPU 00:00:00.730, TCPU 00:00:00.730
	10: Real 00:00:03.250, PCPU 00:00:00.831, TCPU 00:00:00.831

	VirtGIF
	8: Real 00:00:21.579, PCPU 00:00:15.867, TCPU 00:00:15.867
	9: Real 00:00:25.079, PCPU 00:00:18.480, TCPU 00:00:18.480
	10: Real 00:01:03.563, PCPU 00:00:53.264, TCPU 00:00:53.264

	VJPEG
	1: Real 00:02:03.594, PCPU 00:01:47.554, TCPU 00:01:47.554
	2: VJPEG crashed on a grayscale JPEG

	Viewtek
	1: Real 00:00:40.351, PCPU 00:00:37.964, TCPU 00:00:37.964
	2: Real 00:00:10.576, PCPU 00:00:08.796, TCPU 00:00:08.796
	3: Real 00:00:03.619, PCPU 00:00:01.126, TCPU 00:00:01.126
	4: Real 00:00:07.555, PCPU 00:00:01.864, TCPU 00:00:01.864
	5: Real 00:00:01.924, PCPU 00:00:00.564, TCPU 00:00:00.564
	6: Real 00:00:02.957, PCPU 00:00:00.870, TCPU 00:00:00.870
	7: Real 00:00:01.892, PCPU 00:00:00.554, TCPU 00:00:00.554
	8: Real 00:00:03.300, PCPU 00:00:01.867, TCPU 00:00:01.867
	9: Real 00:00:04.556, PCPU 00:00:02.858, TCPU 00:00:02.858
	10: Real 00:00:05.630, PCPU 00:00:04.184, TCPU 00:00:04.184
	11: Real 00:00:19.838, PCPU 00:00:15.922, TCPU 00:00:15.922

	ZGif
	8: Real 00:00:04.725, PCPU 00:00:00.620, TCPU 00:00:00.620
	9: Real 00:00:02.326, PCPU 00:00:00.880, TCPU 00:00:00.880
	10: for some reason, ZGif only showed a blank screen on this GIF

	ViewJpeg
	1: Real 00:00:57.889, PCPU 00:00:48.617, TCPU 00:00:48.617
	2: Real 00:00:24.114, PCPU 00:00:16.502, TCPU 00:00:16.502

	JPEG.datatype crashed the test machine.  The problem could not be
	found.

	GIF.datatype
	8: Real 00:00:03.071, PCPU 00:00:01.867, TCPU 00:00:01.867
	9: Real 00:00:04.690, PCPU 00:00:03.074, TCPU 00:00:03.074
	10: Real 00:00:04.521, PCPU 00:00:03.185, TCPU 00:00:03.185

	ZGIF.datatype
	8: Real 00:00:02.157, PCPU 00:00:00.866, TCPU 00:00:00.866
	9: Real 00:00:02.721, PCPU 00:00:01.295, TCPU 00:00:01.295
	10: Real 00:00:02.591, PCPU 00:00:01.292, TCPU 00:00:01.292

	ILBM.datatype
	4: Real 00:00:06.051, PCPU 00:00:01.720, TCPU 00:00:02.211
	5: Real 00:00:01.946, PCPU 00:00:00.563, TCPU 00:00:00.627
	6: Real 00:00:02.657, PCPU 00:00:00.837, TCPU 00:00:00.963
	7: Real 00:00:01.945, PCPU 00:00:00.552, TCPU 00:00:00.608

	----
	256 color 608x796 PCX picture:
	PCX.datatype
	Real 00:00:12.403, PCPU 00:00:08.577, TCPU 00:00:08.577

	TPD.datatype
	Real 00:00:08.603, PCPU 00:00:05.658, TCPU 00:00:05.658

DISCLAIMER

	The author of this article cannot be held liable for any damage or
loss that might result from this article.  In case of doubt, interpret any
information contained herein as lies and bad jokes.

COPYRIGHT INFORMATION

	All tests made by Osma Ahvenlampi.  This review is Copyright 1994
Osma Ahvenlampi.  Distribution through any channels permitted.

---

   Daniel Barrett, Moderator, comp.sys.amiga.reviews
   Send reviews to:	[email-masked]
   Request information:	[email-masked]
   Moderator mail:	[email-masked]
   Anonymous ftp site:  math.uh.edu, in /pub/Amiga/comp.sys.amiga.reviews